
Ruby - Bug #11872

Use 'ASCII-8BIT', not 'binary', for miniruby

12/26/2015 01:39 AM - duerst (Martin Dürst)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: ruby 2.4.0dev (2015-12-26 trunk 53314)

[x86_64-cygwin]

Backport: 2.0.0: WONTFIX, 2.1: WONTFIX, 2.2:

WONTFIX, 2.3: DONE

Description

I get the following error when trying to compile ruby trunk:

[short version; long version below]

.ext/common/openssl/buffering.rb:1: unknown encoding name: binary (ArgumentError)

miniruby does not seem to know the 'binary' encoding, only 'ASCII-8BIT', as follows:

duerst@Arnisee /cygdrive/c/Data/ruby

$ ./miniruby -e 'puts String.new(encoding: "binary")'

-e:1:in initialize': unknown encoding name - binary (ArgumentError) from -e:1:in new'

from -e:1:in `'

duerst@Arnisee /cygdrive/c/Data/ruby

$ ./miniruby -e 'puts String.new(encoding: "UTF-8")'

duerst@Arnisee /cygdrive/c/Data/ruby

$ ./miniruby -e 'puts String.new(encoding: "ASCII-8BIT")'

duerst@Arnisee /cygdrive/c/Data/ruby

[long version of error]

./miniruby.exe -I./lib -I. -I.ext/common  ./tool/runruby.rb --extout=.ext  -- --disable-gems -r./x86_64-cygwin-fake ./tool/rbinstall.rb

--make="make" --dest-dir="" --extout=".ext" --mflags="" --make-flags="" --data-mode=0644 --prog-mode=0755 --installed-list

.installed.list --mantype="doc"

/cygdrive/c/Data/ruby/.ext/common/openssl/buffering.rb:1: unknown encoding name: binary (ArgumentError)

from /cygdrive/c/Data/ruby/lib/rubygems/core_ext/kernel_require.rb:55:in require' from

/cygdrive/c/Data/ruby/lib/rubygems/core_ext/kernel_require.rb:55:in require'

from /cygdrive/c/Data/ruby/.ext/common/openssl/ssl.rb:13:in <top (required)>' from

/cygdrive/c/Data/ruby/lib/rubygems/core_ext/kernel_require.rb:55:in require'

from /cygdrive/c/Data/ruby/lib/rubygems/core_ext/kernel_require.rb:55:in require' from

/cygdrive/c/Data/ruby/.ext/common/openssl.rb:21:in <top (required)>'

from /cygdrive/c/Data/ruby/lib/rubygems/core_ext/kernel_require.rb:55:in require' from

/cygdrive/c/Data/ruby/lib/rubygems/core_ext/kernel_require.rb:55:in require'

from /cygdrive/c/Data/ruby/lib/rubygems/security.rb:12:in <top (required)>' from

/cygdrive/c/Data/ruby/lib/rubygems/core_ext/kernel_require.rb:55:in require'

from /cygdrive/c/Data/ruby/lib/rubygems/core_ext/kernel_require.rb:55:in require' from

/cygdrive/c/Data/ruby/lib/rubygems/package.rb:44:in <top (required)>'

from /cygdrive/c/Data/ruby/lib/rubygems/core_ext/kernel_require.rb:55:in require' from

/cygdrive/c/Data/ruby/lib/rubygems/core_ext/kernel_require.rb:55:in require'

from /cygdrive/c/Data/ruby/lib/rubygems/installer.rb:10:in <top (required)>' from

/cygdrive/c/Data/ruby/lib/rubygems/core_ext/kernel_require.rb:55:in require'

from /cygdrive/c/Data/ruby/lib/rubygems/core_ext/kernel_require.rb:55:in require' from ./tool/rbinstall.rb:657:in module:RbInstall'

from ./tool/rbinstall.rb:585:in `'

uncommon.mk:269: recipe for target 'do-install-nodoc' failed

make: *** [do-install-nodoc] Error 1

Associated revisions

Revision 919462710b007ae75477cdf52db7f203d402f4d9 - 12/26/2015 02:26 AM - nobu (Nobuyoshi Nakada)

miniinit.c: built-in encoding aliases

miniinit.c (Init_enc): add some common aliases of built-in
encodings.  [ruby-core:72481] [Bug #11872]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53315 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 91946271 - 12/26/2015 02:26 AM - nobu (Nobuyoshi Nakada)

miniinit.c: built-in encoding aliases

miniinit.c (Init_enc): add some common aliases of built-in

encodings.  [ruby-core:72481] [Bug #11872]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@53315 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision dc4286a134a7ca882f92841cdc444d07fb647786 - 04/22/2016 03:26 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 53315: [Backport #11872]

    * miniinit.c (Init_enc): add some common aliases of built-in

      encodings.  [ruby-core:72481] [Bug #11872]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54712 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision dc4286a1 - 04/22/2016 03:26 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 53315: [Backport #11872]

    * miniinit.c (Init_enc): add some common aliases of built-in

      encodings.  [ruby-core:72481] [Bug #11872]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54712 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 12/26/2015 02:26 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset r53315.

miniinit.c: built-in encoding aliases

miniinit.c (Init_enc): add some common aliases of built-in

encodings.  [ruby-core:72481] [Bug #11872]

#2 - 02/03/2016 10:59 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.0.0: WONTFIX, 2.1: WONTFIX, 2.2: UNKNOWN,

2.3: UNKNOWN

#3 - 04/22/2016 08:19 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: WONTFIX, 2.1: WONTFIX, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.0.0: WONTFIX, 2.1: WONTFIX, 2.2: REQUIRED,

2.3: REQUIRED

#4 - 04/22/2016 09:44 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.0.0: WONTFIX, 2.1: WONTFIX, 2.2: REQUIRED, 2.3: REQUIRED to 2.0.0: WONTFIX, 2.1: WONTFIX, 2.2: WONTFIX, 2.3:

REQUIRED

#5 - 04/22/2016 03:26 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.0.0: WONTFIX, 2.1: WONTFIX, 2.2: WONTFIX, 2.3: REQUIRED to 2.0.0: WONTFIX, 2.1: WONTFIX, 2.2: WONTFIX, 2.3:

DONE

ruby_2_3 r54712 merged revision(s) 53315.
